{
  "name": "sapit-ui-plus",
  "version": "1.0.1",
  "private": false,
  "description": "赛普科技 - 底层框架 - 项目基座",
  "type": "module",
  "author": "diry",
  "license": "ISC",
  "main": "./lib/js/index.js",
  "module": "./lib/js/index.js",
  "files": [
    "lib"
  ],
  "scripts": {
    "dev": "vite",
    "build": "vite build && @powershell copy './package.json' './dist/' && cd dist && git init && git add -A && git commit -m 'deploy' && git push -f http://59.46.229.138:6010/sapit/sapit-ui-plus.git master",
    "preview": "vite preview",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@ffmpeg/core": "^0.12.6",
    "@ffmpeg/ffmpeg": "0.12.7",
    "@ffmpeg/util": "^0.12.1",
    "ant-design-vue": "4.x",
    "axios": "^1.7.3",
    "dayjs": "^1.11.12",
    "html2canvas": "^1.4.1",
    "jodit": "3.24.7",
    "less": "^4.2.0",
    "less-loader": "^12.2.0",
    "lodash.clonedeep": "^4.5.0",
    "lodash.get": "^4.4.2",
    "moment": "^2.30.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persist": "^1.0.0",
    "qs": "^6.13.0",
    "vite-plugin-generate-file": "^0.2.0",
    "vite-plugin-html": "^3.2.2",
    "vue": "^3.4.29",
    "vue-cropper": "^1.1.4",
    "vue-i18n": "^9.14.0",
    "vue-ls": "^4.2.0",
    "vue-router": "^4.3.3"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vue/eslint-config-prettier": "^9.0.0",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "prettier": "^3.2.5",
    "unplugin-vue-components": "^0.27.3",
    "vite": "^5.3.1"
  }
}
